Get Wallet Staking Positions
curl --request GET \
--url https://api.anchorage-staging.com/v3/wallets/{walletId}/staking-positions \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/wallets/{walletId}/staking-positions"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/wallets/{walletId}/staking-positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"networkId": "<string>",
"networkSpecific": {
"type": "ETHEREUM",
"stakingProvider": "FIGMENT",
"validatorPublicKey": "0x93247f2209abcacf57b75a51dafae777f9dd38bc7053d1af526f220a7489a6d3a2753e5f3e8b1cfe39b56f43611df74a"
},
"positionId": "<string>"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Get Wallet Staking Positions
Permissions required: Read vault activity
Get staking positions for a specific wallet.
GET
/
wallets
/
{walletId}
/
staking-positions
Get Wallet Staking Positions
curl --request GET \
--url https://api.anchorage-staging.com/v3/wallets/{walletId}/staking-positions \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/wallets/{walletId}/staking-positions"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/wallets/{walletId}/staking-positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"networkId": "<string>",
"networkSpecific": {
"type": "ETHEREUM",
"stakingProvider": "FIGMENT",
"validatorPublicKey": "0x93247f2209abcacf57b75a51dafae777f9dd38bc7053d1af526f220a7489a6d3a2753e5f3e8b1cfe39b56f43611df74a"
},
"positionId": "<string>"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Query Parameters
Was this page helpful?